Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Plugin.cs.frame
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Plugin.cs.frame	(revision 9089)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Plugin.cs.frame	(revision 9089)
@@ -0,0 +1,31 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+
+namespace HeuristicLab.Problems.ConditionActionClassification {
+  [Plugin("HeuristicLab.Problems.ConditionActionClassification", "3.3.7.$WCREV$")]
+  [PluginFile("HeuristicLab.Problems.ConditionActionClassification-3.3.dll", PluginFileType.Assembly)]
+  [PluginDependency("HeuristicLab.Common.Resources", "3.3")]
+  [PluginDependency("HeuristicLab.Data", "3.3")]
+  public class HeuristicLabProblemsConditionActionClassificationPlugin : PluginBase {
+  }
+}
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Properties/AssemblyInfo.cs.frame
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Properties/AssemblyInfo.cs.frame	(revision 9089)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Properties/AssemblyInfo.cs.frame	(revision 9089)
@@ -0,0 +1,57 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System.Reflection;
+using System.Runtime.CompilerServices;
+using System.Runtime.InteropServices;
+
+// General Information about an assembly is controlled through the following 
+// set of attributes. Change these attribute values to modify the information
+// associated with an assembly.
+[assembly: AssemblyTitle("HeuristicLab.Problems.ConditionActionClassification-3.3")]
+[assembly: AssemblyDescription("Problems which can handle the condition action encoding.")]
+[assembly: AssemblyConfiguration("")]
+[assembly: AssemblyCompany("HEAL")]
+[assembly: AssemblyProduct("HeuristicLab")]
+[assembly: AssemblyCopyright("(c) 2002-2012 HEAL")]
+[assembly: AssemblyTrademark("")]
+[assembly: AssemblyCulture("")]
+
+// Setting ComVisible to false makes the types in this assembly not visible 
+// to COM components.  If you need to access a type in this assembly from 
+// COM, set the ComVisible attribute to true on that type.
+[assembly: ComVisible(false)]
+
+// The following GUID is for the ID of the typelib if this project is exposed to COM
+[assembly: Guid("45e0e5b7-01c9-4bcd-aeea-c975d4405d20")]
+
+// Version information for an assembly consists of the following four values:
+//
+//      Major Version
+//      Minor Version 
+//      Build Number
+//      Revision
+//
+// You can specify all the values or you can default the Build and Revision Numbers 
+// by using the '*' as shown below:
+// [assembly: AssemblyVersion("1.0.*")]
+[assembly: AssemblyVersion("3.3.0.0")]
+[assembly: AssemblyFileVersion("3.3.7.$WCREV$")]
Index: /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Reinforcement/CombinedIntegerVectorClassifierFetcher.cs
===================================================================
--- /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Reinforcement/CombinedIntegerVectorClassifierFetcher.cs	(revision 9089)
+++ /branches/LearningClassifierSystems/HeuristicLab.Problems.ConditionActionClassification/3.3/Reinforcement/CombinedIntegerVectorClassifierFetcher.cs	(revision 9089)
@@ -0,0 +1,82 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2012 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Common;
+using HeuristicLab.Core;
+using HeuristicLab.Data;
+using HeuristicLab.Encodings.CombinedIntegerVectorEncoding;
+using HeuristicLab.Encodings.ConditionActionEncoding;
+using HeuristicLab.Operators;
+using HeuristicLab.Parameters;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Problems.DataAnalysis;
+
+namespace HeuristicLab.Problems.ConditionActionClassification {
+  [Item("CombinedIntegerVectorClassifierFetcher", "")]
+  [StorableClass]
+  public class CombinedIntegerVectorClassifierFetcher : SingleSuccessorOperator, IClassifierFetcher {
+    #region parameters
+    public IValueLookupParameter<IClassifier> CurrentClassifierToMatchParameter {
+      get { return (IValueLookupParameter<IClassifier>)Parameters["CurrentClassifierToMatch"]; }
+    }
+    public ILookupParameter<IConditionActionProblemData> ProblemDataParameter {
+      get { return (ILookupParameter<IConditionActionProblemData>)Parameters["ProblemData"]; }
+    }
+    public ILookupParameter<IntValue> ActionPartLengthParameter {
+      get { return (ILookupParameter<IntValue>)Parameters["ActionPartLength"]; }
+    }
+    public ILookupParameter<IntMatrix> BoundsParameter {
+      get { return (ILookupParameter<IntMatrix>)Parameters["Bounds"]; }
+    }
+    public ILookupParameter<IntValue> IterationParameter {
+      get { return (ILookupParameter<IntValue>)Parameters["Iteration"]; }
+    }
+    #endregion
+
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new CombinedIntegerVectorClassifierFetcher(this, cloner);
+    }
+    protected CombinedIntegerVectorClassifierFetcher(CombinedIntegerVectorClassifierFetcher original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    [StorableConstructor]
+    protected CombinedIntegerVectorClassifierFetcher(bool deserializing) : base(deserializing) { }
+    public CombinedIntegerVectorClassifierFetcher()
+      : base() {
+      Parameters.Add(new ValueLookupParameter<IClassifier>("CurrentClassifierToMatch"));
+      Parameters.Add(new LookupParameter<IConditionActionProblemData>("ProblemData"));
+      Parameters.Add(new LookupParameter<IntValue>("ActionPartLength"));
+      Parameters.Add(new LookupParameter<IntMatrix>("Bounds"));
+      Parameters.Add(new LookupParameter<IntValue>("Iteration"));
+    }
+
+    public override IOperation Apply() {
+      Dataset dataset = ProblemDataParameter.ActualValue.Dataset;
+      int row = IterationParameter.ActualValue.Value % dataset.Rows;
+      int[] elements = new int[dataset.Columns];
+      for (int i = 0; i < dataset.Columns; i++) {
+        elements[i] = int.Parse(dataset.GetValue(row, i));
+      }
+      CurrentClassifierToMatchParameter.ActualValue = new CombinedIntegerVector(elements, ActionPartLengthParameter.ActualValue.Value, BoundsParameter.ActualValue);
+      return base.Apply();
+    }
+  }
+}
Index: /branches/LearningClassifierSystems/LearningClassifierSystem.sln
===================================================================
--- /branches/LearningClassifierSystems/LearningClassifierSystem.sln	(revision 9088)
+++ /branches/LearningClassifierSystems/LearningClassifierSystem.sln	(revision 9089)
@@ -11,4 +11,8 @@
 EndProject
 Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Algorithms.LearningClassifierSystems-3.3", "HeuristicLab.Algorithms.LearningClassifierSystems\3.3\HeuristicLab.Algorithms.LearningClassifierSystems-3.3.csproj", "{1FAB379A-3624-4EE3-9756-E8CA34BAADB4}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Encodings.ConditionActionEncoding-3.3", "HeuristicLab.Encodings.ConditionActionEncoding\3.3\HeuristicLab.Encodings.ConditionActionEncoding-3.3.csproj", "{422FB262-0845-4969-8D16-12F057AA90B1}"
+EndProject
+Project("{FAE04EC0-301F-11D3-BF4B-00C04F79EFBC}") = "HeuristicLab.Problems.ConditionActionClassification-3.3", "HeuristicLab.Problems.ConditionActionClassification\3.3\HeuristicLab.Problems.ConditionActionClassification-3.3.csproj", "{EA51D441-F6A3-41E1-9993-A2488E93C222}"
 EndProject
 Global
@@ -42,4 +46,20 @@
 		{1FAB379A-3624-4EE3-9756-E8CA34BAADB4}.Release|x64.ActiveCfg = Release|Any CPU
 		{1FAB379A-3624-4EE3-9756-E8CA34BAADB4}.Release|x86.ActiveCfg = Release|Any CPU
+		{422FB262-0845-4969-8D16-12F057AA90B1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{422FB262-0845-4969-8D16-12F057AA90B1}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{422FB262-0845-4969-8D16-12F057AA90B1}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{422FB262-0845-4969-8D16-12F057AA90B1}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{422FB262-0845-4969-8D16-12F057AA90B1}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{422FB262-0845-4969-8D16-12F057AA90B1}.Release|Any CPU.Build.0 = Release|Any CPU
+		{422FB262-0845-4969-8D16-12F057AA90B1}.Release|x64.ActiveCfg = Release|Any CPU
+		{422FB262-0845-4969-8D16-12F057AA90B1}.Release|x86.ActiveCfg = Release|Any CPU
+		{EA51D441-F6A3-41E1-9993-A2488E93C222}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
+		{EA51D441-F6A3-41E1-9993-A2488E93C222}.Debug|Any CPU.Build.0 = Debug|Any CPU
+		{EA51D441-F6A3-41E1-9993-A2488E93C222}.Debug|x64.ActiveCfg = Debug|Any CPU
+		{EA51D441-F6A3-41E1-9993-A2488E93C222}.Debug|x86.ActiveCfg = Debug|Any CPU
+		{EA51D441-F6A3-41E1-9993-A2488E93C222}.Release|Any CPU.ActiveCfg = Release|Any CPU
+		{EA51D441-F6A3-41E1-9993-A2488E93C222}.Release|Any CPU.Build.0 = Release|Any CPU
+		{EA51D441-F6A3-41E1-9993-A2488E93C222}.Release|x64.ActiveCfg = Release|Any CPU
+		{EA51D441-F6A3-41E1-9993-A2488E93C222}.Release|x86.ActiveCfg = Release|Any CPU
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution
